PLASMOIDVIEWER(1)

NAME
plasmoidviewer - Run Plasma widgets in their own window

SYNOPSIS

plasmoidviewer [-v, --version] [-c, --containmentname] [-a, --appletname] [-f, --formfactorname] [-l, --locationname] [-x, --xPositionxPosition] [-y, --yPositionyPosition] [-s, --sizewidthXheight] [-p, --pixmapcachesize] [-t, --themename] [-h, --help] [args]

DESCRIPTION

plasmoidviewer is a graphical tool allowing developers to test Plasma applets.

Only installed applets will be found. kbuildsycoca5 may need to be run for newly-installed applets to be found.

OPTIONS

-v, --version
    Displays version information.

-c, --containment name
    The name of the containment plugin.

-a, --applet name
    The name of the applet plugin.

-f, --formfactor name
    The formfactor to use (horizontal, vertical, mediacenter, planar or application).

-l, --location name
    The location constraint to start the Containment with (floating, desktop, fullscreen, topedge, bottomedge, leftedge, rightedge).

-x, --xPosition xPosition
    Set the x position of the plasmoidviewer on the Plasma desktop.

-y, --yPosition yPosition
    Set the y position of the plasmoidviewer on the Plasma desktop.

-s, --size widthXheight
    Set the window size of the plasmoidview.

-p, --pixmapcache size
    The size in KB to set the pixmap cache to.

-t, --theme name
    The name of the theme which the shell will use.

-h, --help
    Displays this help.

args
    Data that should be passed to the applet as 'externalData' event.

SEE ALSO

More detailed user documentation is available from help:/plasma-desktop (either enter this URL into Konqueror, or run khelpcenter help:/plasma-desktop).

AUTHORS

plasmoidviewer was written by Aaron Seigo <aseigo@kde.org>.